// IDL general
// $Id: IDL.h,v 1.8 2002/08/17 03:46:15 alexy Exp $

#ifndef _IDL_H_
#define _IDL_H_

#include <string>
using namespace std;

namespace IDL {

  enum {LONG, FLOAT, STRING};
  extern string typeName(const int);
  int type(const string); // CIF to IDL
  string maxFlag(const unsigned n);
  
  extern const string vectorType;
  extern const string cartesianType;
  extern const string matrixType;
  extern const string indexType;
  extern const string atomIndexType;
  extern const string seqIndexType;
  extern const string flagType;

  extern const short tab_width;
  const string tab(const short n);

  extern const string scopeMMS;
  
  string prolog();
  string entryHead();
  string epilog();
}
#endif
