# check out CIF tools needed by FILM and build them
# $Id$

CCV=gcc_2.95.3

#A minimal set for everything is:

# cifobj-builder-v3-prod
# cifobj-loader-v5-prod   -- v5 for gcc 2.95.3, v6 for gcc 3.3
# ndbview-opengl-v1-prod

#
# This will prepare libcifbuild.a
#

BUILDER=cifobj-builder-v3-prod
cvs co $BUILDER
cd $BUILDER
make build
cd ..

# This remove statement is needed to assure that only the latest versions of
# these two libraries are used. The very latest (and should I say the very
# greatest) is located under cifobj-loader-v5-prod.

# rm ./lib/libcifobj.a  ./lib/libcifstr.a
# The libcifbuild.a is located under cifobj-builder-v3-prod/lib


#
# This will prepare more cif libraries
#

LOADER=cifobj-loader-v5-prod
cvs co $LOADER
cd $LOADER
make build
cd ..


# libciffileobj.a, libcifobj.a, libcifstr.a, libistable.a, libndbmisc.a,
# libregex.a, libtblindex.a are located under cifobj-loader-v5-prod/lib

#
# Note: libndbcifparse.a coming from cifparse-v2.1 can be taken from
# Goran's module: ndbview-opengl-v1-prod, which already has cifparse-v2.1
# as its submodule.
#
# This will prepare the cifparse; the build will fail after it's done,
# but we'll have the submodule already
#

NDBPARSE=ndbview-opengl-v1-prod
cvs co $NDBPARSE
cd $NDBPARSE
make build
cd ..

# Done
mv cifobj-builder-v3-prod cifobj-builder.$(CCV)
mv cifobj-loader-v5-prod  cifobj-loader.$(CCV)
mv ndbview-opengl-v1-prod ndbview.$(CCV)

echo "$BUILDER $LOADER $NDBPARSE -- done."
