HOME_DIR 	 = $(HOME)

# Brad Appleton's Options
LIB_CXX		= $(HOME_DIR)/lib/C
LIB_CXX_INCLUDE = -I$(LIB_CXX)
LIB_CXX_CCV	= $(LIB_CXX)/$(CCV)
LDFLAGS         += -L$(LIB_CXX_CCV)
LIBOPTIONS      = -loptions
LD_RUN_LIST	+= $(LIB_CXX_CCV)

# CIF tools
CIFOBJ_DIR_BASE = $(HOME_DIR)/ciftools
CIFOBJ_DIR_NAMES= cifobj-builder cifobj-loader
CIFOBJ_DIRS     = $(CIFOBJ_DIR_NAMES:%=$(CIFOBJ_DIR_BASE)/%.$(CCV))

# DB2
DB2_DIR     = /opt/IBM/db2/V8.1

###### this is derived from the above
LIBDB2_DIR  = $(DB2_DIR)/lib
LIBDB2      = -L $(LIBDB2_DIR) -ldb2
DB2_INCLUDE = -I$(DB2_DIR)/include

CIF_INCLUDE	= $(CIFOBJ_DIRS:%=-I%/include)
CIF_LIB_DIRS    = $(CIFOBJ_DIRS:%=-L%/lib)
# why subdivision?
CIFLIBS		= -lcifbuild -lcifobj -lcifstr
CIFOBJCLIB	= -lciffileobj -lcifstr -lcifobj -listable -lregex -ltblindex -lndbmisc
LDLIBS_CIF	= $(CIF_LIB_DIRS) $(CIFLIBS) $(CIFOBJCLIB)
