PURE_HEADER_NAMES = \
CategoryGroup		\
Column			\
FlagsBuffer		\
dir			\
bad			\
#
PURE_HEADERS = $(PURE_HEADER_NAMES:%=%.$h)

HEADER_BODY_NAMES = \
mmsCats_incl		\
#
HEADER_BODIES = $(HEADER_BODY_NAMES:%=%.$C)

SPEC_HEADER_NAMES = \
Category		\
CIF			\
CorbaCif		\
CorbaCifStruct		\
cxx			\
db			\
Flags			\
global			\
IDL			\
Item			\
options			\
output			\
SchemaCif		\
SchemaCifStruct		\
Trans			\
util			\
#
SPEC_HEADERS = $(SPEC_HEADER_NAMES:%=%.$h)
SPEC_BODIES  = $(SPEC_HEADER_NAMES:%=%.$C)

HEADERS = $(PURE_HEADERS) $(SPEC_HEADERS) $(HEADER_BODIES)

BODIES  = $(SPEC_BODIES)

#DA_OBJECTS = $(SPEC_HEADER_NAMES:%=$(OBJ_DIR)/%.o)
DA_OBJECTS	= $(BODIES:%.$C=$(OBJ_DIR)/%.o)


PROGRAM_NAME = da
PROGRAM  = $(PROGRAM_NAME:%=$(BIN_DIR)/%)

PROGRAM_NAMES  = \
$(PROGRAM_NAME)		\
cifparse		\
readFlags		\
readItems		\
sqlen			\
sqltables		\
test_abbrev		\
test_db			\
test_util		\
#
DRIVER_BODIES = $(PROGRAM_NAMES:%=%.$C)

PROGRAMS = $(PROGRAM_NAMES:%=$(BIN_DIR)/%)

DRIVERS = $(PROGRAM_NAMES:%=$(OBJ_DIR)/%.o)

OBJECTS = $(DA_OBJECTS) $(DRIVERS)

$(PROGRAMS): $(BIN_DIR)/%: $(OBJ_DIR)/%.o

$(OBJECTS): $(OBJ_DIR)/%.o: %.$C
	$(CXX) $(CXXFLAGS) -c $< -o $@

##### for autogeneration rules

AUTO_DIR	= auto

# IDL
AUTO_IDL	= $(AUTO_DIR)/some.idl

# Servants
AUTO_NAME       = mms
AUTO_HEADER     = $(AUTO_DIR)/$(AUTO_NAME).$h
AUTO_BODY       = $(AUTO_DIR)/$(AUTO_NAME).$C

# Flags
FLAGS_BS_C	= $(AUTO_DIR)/flags.bs.$C
FLAGS_C		= $(AUTO_DIR)/flags.$C
FLAG_NAMES_C	= $(AUTO_DIR)/flagNames.$C
