#ifndef _SYM_TYPES_H_
#define _SYM_TYPES_H_

#define NDBMAXNAMELEN 130


typedef struct ndb_sym_trans_data {
  char opname[NDBMAXNAMELEN];
  double rot[3][3];
  double trans[3];
  int tn[3],td[3];
} NDBSYMTRANSDATA;

typedef struct ndb_symmetry {
  int nop;
  char spgname[NDBMAXNAMELEN];
  NDBSYMTRANSDATA *op;
} NDBSYMMETRY;

typedef struct ndb_fcoord {
  double x,y,z;
}  NDBFCOORD;

typedef struct ndb_sym_op {
  int op;
  int xt,yt,zt;
}  NDBSYMOP;



typedef struct{
  int  Data[15];
}SPACE_DATA;

typedef struct {
  char SpaceGroupName[NDBMAXNAMELEN];
  int  SpaceDataNo;
  SPACE_DATA *SpaceData;
} SPACE_GROUP;

#endif
