// CORBA::Exception ostream inserter body
// for MICO and other ORBs which don't provide one
// $Id: C_ExceptionStream.C,v 1.2 2003/03/11 22:06:27 alexy Exp $

#include "C_ExceptionStream.h"

#if !defined(_MICO_) && !defined(_TAO_) /* ORBs */

ostream &
operator<<(ostream & os, const CORBA::Exception & e)
{
  CORBA::Any tmp;
  tmp <<= e;
  CORBA::TypeCode_var tc = tmp.type();
  const char * p = tc->name();
  if (*p != '\0')
    os << p;
  else
    os << tc->id();
  return os;
}

#endif /* ORBs */
