// Braver MMS
// Subentry Body
// $Id: Xray_SubentryImpl.C,v 1.1 2002/07/31 23:45:35 alexy Exp $

#include "Xray_SubentryImpl.h"


// Implementation for interface Xray::Subentry

// _create() -- create a new servant.
POA_Xray::Subentry*
Xray_SubentryImpl::_create(PortableServer::POA_ptr the_poa,
			   const char *name)
{
    return new Xray_SubentryImpl(the_poa, name);
}


PortableServer::POA_ptr
Xray_SubentryImpl::_default_POA()
{
    return PortableServer::POA::_duplicate(_poaV);
}


// Constructor
Xray_SubentryImpl::Xray_SubentryImpl(PortableServer::POA_ptr the_poa, 
			     const char *name) 
  : 
  _poaV(PortableServer::POA::_duplicate(the_poa)),
  _nameV(CORBA::string_dup(name))
{
}


// Destructor
Xray_SubentryImpl::~Xray_SubentryImpl()
{
}


char* Xray_SubentryImpl::name()
    throw (CORBA::SystemException)
{
    return CORBA::string_dup(_nameV);
}


void Xray_SubentryImpl::name( const char* _new_value )
    throw (CORBA::SystemException)
{
  _nameV = CORBA::string_dup(_new_value);
}
