HOME_DIR 	= $(HOME)

# Brad Appleton's Options
LIB_CXX		= $(HOME_DIR)/lib/C
LIB_CXX_INCLUDE = -I$(LIB_CXX)
LIB_CXX_CCV	= $(LIB_CXX)/$(CCV)
LDFLAGS         += -L$(LIB_CXX_CCV)
LIBOPTIONS      = -loptions

DB2_DIR     	= /opt/IBM/db2/V8.1

CIFOBJ_DIR_BASE = $(HOME_DIR)/ciftools
CIFOBJ_DIR_NAMES= ndbview
CIFOBJ_DIRS     = $(CIFOBJ_DIR_NAMES:%=$(CIFOBJ_DIR_BASE)/%.$(CCV))

###### this is derived from the above
LIBDB2_DIR  	= $(DB2_DIR)/lib
LDDB2      	= -L$(LIBDB2_DIR) -ldb2
DB2_INCLUDE 	= -I$(DB2_DIR)/include

CIF_INCLUDE	= $(CIFOBJ_DIRS:%=-I%/include)
CIF_LIB_DIRS    = $(CIFOBJ_DIRS:%=-L%/lib)
LDLIBS_CIF	= $(CIF_LIB_DIRS) -lndbcifparse -lndbmisc
