// util test
// $Id: test_util.C,v 1.3 2002/06/19 20:01:09 alexy Exp $

#include "util.h"
#include <iostream>

void main()
{
  string s = "carramba_id";

  cout << util::cutSuffix(s, "_id") << endl;

  cout << util::cutSubstr(s, "ba_") << endl;

  util::replace(s, "amb", "et");

  cout << s << endl;

  cout << util::_2Title("once_upon_a_time") << endl;
  cout << util::_2Title("a_b_c") << endl;
  cout << util::_2Title("a_b_") << endl;
  cout << util::_2Title("_b_") << endl;
  cout << util::_2Title("a") << endl;
  cout << util::_2Title("_") << endl;

  vector<string> v;

  v.push_back("Once");
  v.push_back("upon");
  v.push_back("a");
  v.push_back("time");

  util::print_cout(v);

  s = "upon";

  if (util::erase(v, s)) {
    cout << "After erasing " << s << ':' << endl;
    util::print_cout(v);
  }
}
