// CIF wrapper
// $Id: SchemaCif.h,v 1.2 2002/07/23 23:12:35 alexy Exp $

#ifndef _SCHEMA_CIF_H_
#define _SCHEMA_CIF_H_

#include <vector>
#include <string>
#include "CifFileObj.h"
#include "util.h"

#include "SchemaCifStruct.h"

namespace scif {

  class SchemaCif
    {
    public:
      SchemaCif::SchemaCif();

      SchemaCif::SchemaCif(const char *cifName, const char *dataBlock);
      virtual ~SchemaCif();

      bool          has_abbrev(const string category, const string item);
      string        abbrev(const string category, const string item);

    private:
      CifFileObj *cifObj;
      vector <ISTable*> tables;
    };

} // namespace scif

#endif

