const short S_ATOM_SITE = 0;
const short F_ATOM_SITE_B_ISO_OR_EQUIV = 1;
const short F_ATOM_SITE_GROUP_PDB = 2;
const short F_ATOM_SITE_OCCUPANCY = 3;
const short F_ATOM_SITE_LABEL_ENTITY = 4;
const short F_ATOM_SITE_CARTN = 5;
const short F_ATOM_SITE_LABEL_ALT = 6;
const short F_ATOM_SITE_LABEL_ASYM = 7;
const short F_ATOM_SITE_LABEL_ATOM = 8;
const short F_ATOM_SITE_LABEL_COMP = 9;
const short F_ATOM_SITE_LABEL_SEQ = 10;


const short S_ATOM_SITE_ANISOTROP = 11;
const short F_ATOM_SITE_ANISOTROP_RATIO = 12;
const short F_ATOM_SITE_ANISOTROP_B = 13;
const short F_ATOM_SITE_ANISOTROP_B_ESD = 14;
const short F_ATOM_SITE_ANISOTROP_U = 15;
const short F_ATOM_SITE_ANISOTROP_U_ESD = 16;


const short S_ATOM_SITE_EXT = 17;
const short F_ATOM_SITE_B_EQUIV_GEOM_MEAN = 18;
const short F_ATOM_SITE_B_EQUIV_GEOM_MEAN_ESD = 19;
const short F_ATOM_SITE_B_ISO_OR_EQUIV_ESD = 20;
const short F_ATOM_SITE_U_EQUIV_GEOM_MEAN = 21;
const short F_ATOM_SITE_U_EQUIV_GEOM_MEAN_ESD = 22;
const short F_ATOM_SITE_U_ISO_OR_EQUIV = 23;
const short F_ATOM_SITE_U_ISO_OR_EQUIV_ESD = 24;
const short F_ATOM_SITE_WYCKOFF_SYMBOL = 25;
const short F_ATOM_SITE_ANISO_RATIO = 26;
const short F_ATOM_SITE_ATTACHED_HYDROGENS = 27;
const short F_ATOM_SITE_AUTH_ASYM_ID = 28;
const short F_ATOM_SITE_AUTH_ATOM_ID = 29;
const short F_ATOM_SITE_AUTH_COMP_ID = 30;
const short F_ATOM_SITE_AUTH_SEQ_ID = 31;
const short F_ATOM_SITE_CALC_ATTACHED_ATOM = 32;
const short F_ATOM_SITE_CALC_FLAG = 33;
const short F_ATOM_SITE_CONSTRAINTS = 34;
const short F_ATOM_SITE_DETAILS = 35;
const short F_ATOM_SITE_DISORDER_ASSEMBLY = 36;
const short F_ATOM_SITE_DISORDER_GROUP = 37;
const short F_ATOM_SITE_OCCUPANCY_ESD = 38;
const short F_ATOM_SITE_REFINEMENT_FLAGS = 39;
const short F_ATOM_SITE_RESTRAINTS = 40;
const short F_ATOM_SITE_SYMMETRY_MULTIPLICITY = 41;
const short F_ATOM_SITE_THERMAL_DISPLACE_TYPE = 42;
const short F_ATOM_SITE_CHEMICAL_CONN_NUMBER = 43;
const short F_ATOM_SITE_FOOTNOTE = 44;
const short F_ATOM_SITE_CARTN_ESD = 45;
const short F_ATOM_SITE_FRACT = 46;
const short F_ATOM_SITE_FRACT_ESD = 47;
const short F_ATOM_SITE_ANISO_B = 48;
const short F_ATOM_SITE_ANISO_B_ESD = 49;
const short F_ATOM_SITE_ANISO_U = 50;
const short F_ATOM_SITE_ANISO_U_ESD = 51;


const short S_ATOM_TYPE = 52;
const short F_ATOM_TYPE_ANALYTICAL_MASS_PERCENT = 53;
const short F_ATOM_TYPE_DESCRIPTION = 54;
const short F_ATOM_TYPE_NUMBER_IN_CELL = 55;
const short F_ATOM_TYPE_OXIDATION_NUMBER = 56;
const short F_ATOM_TYPE_RADIUS_BOND = 57;
const short F_ATOM_TYPE_RADIUS_CONTACT = 58;
const short F_ATOM_TYPE_SCAT_CROMER_MANN_A1 = 59;
const short F_ATOM_TYPE_SCAT_CROMER_MANN_A2 = 60;
const short F_ATOM_TYPE_SCAT_CROMER_MANN_A3 = 61;
const short F_ATOM_TYPE_SCAT_CROMER_MANN_A4 = 62;
const short F_ATOM_TYPE_SCAT_CROMER_MANN_B1 = 63;
const short F_ATOM_TYPE_SCAT_CROMER_MANN_B2 = 64;
const short F_ATOM_TYPE_SCAT_CROMER_MANN_B3 = 65;
const short F_ATOM_TYPE_SCAT_CROMER_MANN_B4 = 66;
const short F_ATOM_TYPE_SCAT_CROMER_MANN_C = 67;
const short F_ATOM_TYPE_SCAT_DISPERSION_IMAG = 68;
const short F_ATOM_TYPE_SCAT_DISPERSION_REAL = 69;
const short F_ATOM_TYPE_SCAT_LENGTH_NEUTRON = 70;
const short F_ATOM_TYPE_SCAT_SOURCE = 71;
const short F_ATOM_TYPE_SCAT_VERSUS_STOL_LIST = 72;


const short S_CHEM_COMP = 73;
const short F_CHEM_COMP_FORMULA = 74;
const short F_CHEM_COMP_FORMULA_WEIGHT = 75;
const short F_CHEM_COMP_MODEL_DETAILS = 76;
const short F_CHEM_COMP_MODEL_ERF = 77;
const short F_CHEM_COMP_MODEL_SOURCE = 78;
const short F_CHEM_COMP_MON_NSTD_CLASS = 79;
const short F_CHEM_COMP_MON_NSTD_DETAILS = 80;
const short F_CHEM_COMP_MON_NSTD_FLAG = 81;
const short F_CHEM_COMP_MON_NSTD_PARENT = 82;
const short F_CHEM_COMP_NAME = 83;
const short F_CHEM_COMP_NUMBER_ATOMS_ALL = 84;
const short F_CHEM_COMP_NUMBER_ATOMS_NH = 85;
const short F_CHEM_COMP_ONE_LETTER_CODE = 86;
const short F_CHEM_COMP_THREE_LETTER_CODE = 87;
const short F_CHEM_COMP_MON_NSTD_PARENT_COMP = 88;


const short S_CHEM_COMP_ANGLE = 89;
const short F_CHEM_COMP_ANGLE_VALUE_ANGLE = 90;
const short F_CHEM_COMP_ANGLE_VALUE_ANGLE_ESD = 91;
const short F_CHEM_COMP_ANGLE_VALUE_DIST = 92;
const short F_CHEM_COMP_ANGLE_VALUE_DIST_ESD = 93;


const short S_CHEM_COMP_ATOM = 94;
const short F_CHEM_COMP_ATOM_ALT_ATOM_ID = 95;
const short F_CHEM_COMP_ATOM_CHARGE = 96;
const short F_CHEM_COMP_ATOM_PARTIAL_CHARGE = 97;
const short F_CHEM_COMP_ATOM_SUBSTRUCT_CODE = 98;
const short F_CHEM_COMP_ATOM_MODEL_CARTN = 99;
const short F_CHEM_COMP_ATOM_MODEL_CARTN_ESD = 100;


const short S_CHEM_COMP_BOND = 101;
const short F_CHEM_COMP_BOND_VALUE_DIST = 102;
const short F_CHEM_COMP_BOND_VALUE_DIST_ESD = 103;
const short F_CHEM_COMP_BOND_VALUE_ORDER = 104;


const short S_CHEM_COMP_CHIR = 105;
const short F_CHEM_COMP_CHIR_ATOM_CONFIG = 106;
const short F_CHEM_COMP_CHIR_NUMBER_ATOMS_ALL = 107;
const short F_CHEM_COMP_CHIR_NUMBER_ATOMS_NH = 108;
const short F_CHEM_COMP_CHIR_VOLUME_FLAG = 109;
const short F_CHEM_COMP_CHIR_VOLUME_THREE = 110;
const short F_CHEM_COMP_CHIR_VOLUME_THREE_ESD = 111;


const short S_CHEM_COMP_CHIR_ATOM = 112;
const short F_CHEM_COMP_CHIR_ATOM_DEV = 113;


const short S_CHEM_COMP_LINK = 114;
const short F_CHEM_COMP_LINK_DETAILS = 115;


const short S_CHEM_COMP_PLANE = 116;
const short F_CHEM_COMP_PLANE_NUMBER_ATOMS_ALL = 117;
const short F_CHEM_COMP_PLANE_NUMBER_ATOMS_NH = 118;


const short S_CHEM_COMP_PLANE_ATOM = 119;
const short F_CHEM_COMP_PLANE_ATOM_DIST_ESD = 120;


const short S_CHEM_COMP_TOR = 121;


const short S_CHEM_COMP_TOR_VALUE = 122;
const short F_CHEM_COMP_TOR_VALUE_DIST = 123;
const short F_CHEM_COMP_TOR_VALUE_DIST_ESD = 124;


const short S_CHEM_LINK = 125;
const short F_CHEM_LINK_DETAILS = 126;


const short S_CHEM_LINK_ANGLE = 127;
const short F_CHEM_LINK_ANGLE_ATOM_1_COMP_ID = 128;
const short F_CHEM_LINK_ANGLE_ATOM_2_COMP_ID = 129;
const short F_CHEM_LINK_ANGLE_ATOM_3_COMP_ID = 130;
const short F_CHEM_LINK_ANGLE_VALUE_ANGLE = 131;
const short F_CHEM_LINK_ANGLE_VALUE_ANGLE_ESD = 132;
const short F_CHEM_LINK_ANGLE_VALUE_DIST = 133;
const short F_CHEM_LINK_ANGLE_VALUE_DIST_ESD = 134;


const short S_CHEM_LINK_BOND = 135;
const short F_CHEM_LINK_BOND_ATOM_1_COMP_ID = 136;
const short F_CHEM_LINK_BOND_ATOM_2_COMP_ID = 137;
const short F_CHEM_LINK_BOND_VALUE_DIST = 138;
const short F_CHEM_LINK_BOND_VALUE_DIST_ESD = 139;
const short F_CHEM_LINK_BOND_VALUE_ORDER = 140;


const short S_CHEM_LINK_CHIR = 141;
const short F_CHEM_LINK_CHIR_ATOM_COMP_ID = 142;
const short F_CHEM_LINK_CHIR_ATOM_CONFIG = 143;
const short F_CHEM_LINK_CHIR_NUMBER_ATOMS_ALL = 144;
const short F_CHEM_LINK_CHIR_NUMBER_ATOMS_NH = 145;
const short F_CHEM_LINK_CHIR_VOLUME_FLAG = 146;
const short F_CHEM_LINK_CHIR_VOLUME_THREE = 147;
const short F_CHEM_LINK_CHIR_VOLUME_THREE_ESD = 148;


const short S_CHEM_LINK_CHIR_ATOM = 149;
const short F_CHEM_LINK_CHIR_ATOM_ATOM_COMP_ID = 150;
const short F_CHEM_LINK_CHIR_ATOM_DEV = 151;


const short S_CHEM_LINK_PLANE = 152;
const short F_CHEM_LINK_PLANE_NUMBER_ATOMS_ALL = 153;
const short F_CHEM_LINK_PLANE_NUMBER_ATOMS_NH = 154;


const short S_CHEM_LINK_PLANE_ATOM = 155;
const short F_CHEM_LINK_PLANE_ATOM_ATOM_COMP_ID = 156;


const short S_CHEM_LINK_TOR = 157;
const short F_CHEM_LINK_TOR_ATOM_1_COMP_ID = 158;
const short F_CHEM_LINK_TOR_ATOM_2_COMP_ID = 159;
const short F_CHEM_LINK_TOR_ATOM_3_COMP_ID = 160;
const short F_CHEM_LINK_TOR_ATOM_4_COMP_ID = 161;


const short S_CHEM_LINK_TOR_VALUE = 162;
const short F_CHEM_LINK_TOR_VALUE_DIST = 163;
const short F_CHEM_LINK_TOR_VALUE_DIST_ESD = 164;


const short S_ENTITY = 165;
const short F_ENTITY_DETAILS = 166;
const short F_ENTITY_FORMULA_WEIGHT = 167;
const short F_ENTITY_SRC_METHOD = 168;
const short F_ENTITY_TYPE = 169;


const short S_ENTITY_KEYWORDS = 170;


const short S_ENTITY_LINK = 171;
const short F_ENTITY_LINK_DETAILS = 172;
const short F_ENTITY_LINK_ENTITY_SEQ_NUM_1 = 173;
const short F_ENTITY_LINK_ENTITY_SEQ_NUM_2 = 174;


const short S_ENTITY_NAME_COM = 175;


const short S_ENTITY_NAME_SYS = 176;
const short F_ENTITY_NAME_SYS_SYSTEM = 177;


const short S_ENTITY_POLY = 178;
const short F_ENTITY_POLY_NSTD_CHIRALITY = 179;
const short F_ENTITY_POLY_NSTD_LINKAGE = 180;
const short F_ENTITY_POLY_NSTD_MONOMER = 181;
const short F_ENTITY_POLY_NUMBER_OF_MONOMERS = 182;
const short F_ENTITY_POLY_TYPE = 183;
const short F_ENTITY_POLY_TYPE_DETAILS = 184;


const short S_ENTITY_SRC_GEN = 185;
const short F_ENTITY_SRC_GEN_GENE_SRC_COMMON_NAME = 186;
const short F_ENTITY_SRC_GEN_GENE_SRC_DETAILS = 187;
const short F_ENTITY_SRC_GEN_GENE_SRC_GENUS = 188;
const short F_ENTITY_SRC_GEN_GENE_SRC_SPECIES = 189;
const short F_ENTITY_SRC_GEN_GENE_SRC_STRAIN = 190;
const short F_ENTITY_SRC_GEN_GENE_SRC_TISSUE = 191;
const short F_ENTITY_SRC_GEN_GENE_SRC_TISSUE_FRACTION = 192;
const short F_ENTITY_SRC_GEN_HOST_ORG_COMMON_NAME = 193;
const short F_ENTITY_SRC_GEN_HOST_ORG_DETAILS = 194;
const short F_ENTITY_SRC_GEN_HOST_ORG_GENUS = 195;
const short F_ENTITY_SRC_GEN_HOST_ORG_SPECIES = 196;
const short F_ENTITY_SRC_GEN_HOST_ORG_STRAIN = 197;
const short F_ENTITY_SRC_GEN_PLASMID_DETAILS = 198;
const short F_ENTITY_SRC_GEN_PLASMID_NAME = 199;


const short S_ENTITY_SRC_NAT = 200;
const short F_ENTITY_SRC_NAT_DETAILS = 201;


const short S_ENTRY_LINK = 202;
const short F_ENTRY_LINK_DETAILS = 203;


const short S_GEOM = 204;
const short F_GEOM_DETAILS = 205;


const short S_GEOM_ANGLE = 206;
const short F_GEOM_ANGLE_PUBL_FLAG = 207;
const short F_GEOM_ANGLE_VALUE = 208;
const short F_GEOM_ANGLE_VALUE_ESD = 209;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_ASYM_ID_1 = 210;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_ATOM_ID_1 = 211;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_COMP_ID_1 = 212;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_SEQ_ID_1 = 213;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_ASYM_ID_2 = 214;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_ATOM_ID_2 = 215;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_COMP_ID_2 = 216;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_SEQ_ID_2 = 217;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_ASYM_ID_3 = 218;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_ATOM_ID_3 = 219;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_COMP_ID_3 = 220;
const short F_GEOM_ANGLE_ATOM_SITE_AUTH_SEQ_ID_3 = 221;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_ALT_ID_1 = 222;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_ASYM_ID_1 = 223;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_ATOM_ID_1 = 224;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_COMP_ID_1 = 225;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_SEQ_ID_1 = 226;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_ALT_ID_2 = 227;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_ASYM_ID_2 = 228;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_ATOM_ID_2 = 229;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_COMP_ID_2 = 230;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_SEQ_ID_2 = 231;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_ALT_ID_3 = 232;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_ASYM_ID_3 = 233;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_ATOM_ID_3 = 234;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_COMP_ID_3 = 235;
const short F_GEOM_ANGLE_ATOM_SITE_LABEL_SEQ_ID_3 = 236;


const short S_GEOM_BOND = 237;
const short F_GEOM_BOND_DIST = 238;
const short F_GEOM_BOND_DIST_ESD = 239;
const short F_GEOM_BOND_PUBL_FLAG = 240;
const short F_GEOM_BOND_ATOM_SITE_AUTH_ASYM_ID_1 = 241;
const short F_GEOM_BOND_ATOM_SITE_AUTH_ATOM_ID_1 = 242;
const short F_GEOM_BOND_ATOM_SITE_AUTH_COMP_ID_1 = 243;
const short F_GEOM_BOND_ATOM_SITE_AUTH_SEQ_ID_1 = 244;
const short F_GEOM_BOND_ATOM_SITE_AUTH_ASYM_ID_2 = 245;
const short F_GEOM_BOND_ATOM_SITE_AUTH_ATOM_ID_2 = 246;
const short F_GEOM_BOND_ATOM_SITE_AUTH_COMP_ID_2 = 247;
const short F_GEOM_BOND_ATOM_SITE_AUTH_SEQ_ID_2 = 248;
const short F_GEOM_BOND_ATOM_SITE_LABEL_ALT_ID_1 = 249;
const short F_GEOM_BOND_ATOM_SITE_LABEL_ASYM_ID_1 = 250;
const short F_GEOM_BOND_ATOM_SITE_LABEL_ATOM_ID_1 = 251;
const short F_GEOM_BOND_ATOM_SITE_LABEL_COMP_ID_1 = 252;
const short F_GEOM_BOND_ATOM_SITE_LABEL_SEQ_ID_1 = 253;
const short F_GEOM_BOND_ATOM_SITE_LABEL_ALT_ID_2 = 254;
const short F_GEOM_BOND_ATOM_SITE_LABEL_ASYM_ID_2 = 255;
const short F_GEOM_BOND_ATOM_SITE_LABEL_ATOM_ID_2 = 256;
const short F_GEOM_BOND_ATOM_SITE_LABEL_COMP_ID_2 = 257;
const short F_GEOM_BOND_ATOM_SITE_LABEL_SEQ_ID_2 = 258;


const short S_GEOM_CONTACT = 259;
const short F_GEOM_CONTACT_DIST = 260;
const short F_GEOM_CONTACT_DIST_ESD = 261;
const short F_GEOM_CONTACT_PUBL_FLAG = 262;
const short F_GEOM_CONTACT_ATOM_SITE_AUTH_ASYM_ID_1 = 263;
const short F_GEOM_CONTACT_ATOM_SITE_AUTH_ATOM_ID_1 = 264;
const short F_GEOM_CONTACT_ATOM_SITE_AUTH_COMP_ID_1 = 265;
const short F_GEOM_CONTACT_ATOM_SITE_AUTH_SEQ_ID_1 = 266;
const short F_GEOM_CONTACT_ATOM_SITE_AUTH_ASYM_ID_2 = 267;
const short F_GEOM_CONTACT_ATOM_SITE_AUTH_ATOM_ID_2 = 268;
const short F_GEOM_CONTACT_ATOM_SITE_AUTH_COMP_ID_2 = 269;
const short F_GEOM_CONTACT_ATOM_SITE_AUTH_SEQ_ID_2 = 270;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_ALT_ID_1 = 271;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_ASYM_ID_1 = 272;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_ATOM_ID_1 = 273;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_COMP_ID_1 = 274;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_SEQ_ID_1 = 275;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_ALT_ID_2 = 276;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_ASYM_ID_2 = 277;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_ATOM_ID_2 = 278;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_COMP_ID_2 = 279;
const short F_GEOM_CONTACT_ATOM_SITE_LABEL_SEQ_ID_2 = 280;


const short S_GEOM_HBOND = 281;
const short F_GEOM_HBOND_ANGLE_DHA = 282;
const short F_GEOM_HBOND_ANGLE_DHA_ESD = 283;
const short F_GEOM_HBOND_DIST_DA = 284;
const short F_GEOM_HBOND_DIST_DA_ESD = 285;
const short F_GEOM_HBOND_DIST_DH = 286;
const short F_GEOM_HBOND_DIST_DH_ESD = 287;
const short F_GEOM_HBOND_DIST_HA = 288;
const short F_GEOM_HBOND_DIST_HA_ESD = 289;
const short F_GEOM_HBOND_PUBL_FLAG = 290;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_ASYM_ID_A = 291;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_ATOM_ID_A = 292;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_COMP_ID_A = 293;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_SEQ_ID_A = 294;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_ASYM_ID_D = 295;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_ATOM_ID_D = 296;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_COMP_ID_D = 297;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_SEQ_ID_D = 298;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_ASYM_ID_H = 299;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_ATOM_ID_H = 300;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_COMP_ID_H = 301;
const short F_GEOM_HBOND_ATOM_SITE_AUTH_SEQ_ID_H = 302;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_ALT_ID_A = 303;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_ASYM_ID_A = 304;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_ATOM_ID_A = 305;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_COMP_ID_A = 306;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_SEQ_ID_A = 307;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_ALT_ID_D = 308;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_ASYM_ID_D = 309;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_ATOM_ID_D = 310;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_COMP_ID_D = 311;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_SEQ_ID_D = 312;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_ALT_ID_H = 313;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_ASYM_ID_H = 314;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_ATOM_ID_H = 315;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_COMP_ID_H = 316;
const short F_GEOM_HBOND_ATOM_SITE_LABEL_SEQ_ID_H = 317;


const short S_GEOM_TORSION = 318;
const short F_GEOM_TORSION_PUBL_FLAG = 319;
const short F_GEOM_TORSION_VALUE = 320;
const short F_GEOM_TORSION_VALUE_ESD = 321;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_ASYM_ID_1 = 322;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_ATOM_ID_1 = 323;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_COMP_ID_1 = 324;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_SEQ_ID_1 = 325;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_ASYM_ID_2 = 326;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_ATOM_ID_2 = 327;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_COMP_ID_2 = 328;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_SEQ_ID_2 = 329;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_ASYM_ID_3 = 330;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_ATOM_ID_3 = 331;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_COMP_ID_3 = 332;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_SEQ_ID_3 = 333;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_ASYM_ID_4 = 334;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_ATOM_ID_4 = 335;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_COMP_ID_4 = 336;
const short F_GEOM_TORSION_ATOM_SITE_AUTH_SEQ_ID_4 = 337;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ALT_ID_1 = 338;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ASYM_ID_1 = 339;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ATOM_ID_1 = 340;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_COMP_ID_1 = 341;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_SEQ_ID_1 = 342;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ALT_ID_2 = 343;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ASYM_ID_2 = 344;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ATOM_ID_2 = 345;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_COMP_ID_2 = 346;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_SEQ_ID_2 = 347;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ALT_ID_3 = 348;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ASYM_ID_3 = 349;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ATOM_ID_3 = 350;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_COMP_ID_3 = 351;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_SEQ_ID_3 = 352;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ALT_ID_4 = 353;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ASYM_ID_4 = 354;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_ATOM_ID_4 = 355;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_COMP_ID_4 = 356;
const short F_GEOM_TORSION_ATOM_SITE_LABEL_SEQ_ID_4 = 357;


const short S_STRUCT_ASYM = 358;
const short F_STRUCT_ASYM_DETAILS = 359;


const short S_STRUCT_BIOL = 360;
const short F_STRUCT_BIOL_DETAILS = 361;


const short S_STRUCT_BIOL_GEN = 362;
const short F_STRUCT_BIOL_GEN_DETAILS = 363;


const short S_STRUCT_BIOL_KEYWORDS = 364;


const short S_STRUCT_BIOL_VIEW = 365;
const short F_STRUCT_BIOL_VIEW_DETAILS = 366;
const short F_STRUCT_BIOL_VIEW_ROT_MATRIX = 367;


const short S_STRUCT_CONF = 368;
const short F_STRUCT_CONF_DETAILS = 369;
const short F_STRUCT_CONF_BEG_AUTH_ASYM = 370;
const short F_STRUCT_CONF_BEG_AUTH_COMP = 371;
const short F_STRUCT_CONF_BEG_AUTH_SEQ = 372;
const short F_STRUCT_CONF_END_AUTH_ASYM = 373;
const short F_STRUCT_CONF_END_AUTH_COMP = 374;
const short F_STRUCT_CONF_END_AUTH_SEQ = 375;


const short S_STRUCT_CONF_TYPE = 376;
const short F_STRUCT_CONF_TYPE_CRITERIA = 377;
const short F_STRUCT_CONF_TYPE_REFERENCE = 378;


const short S_STRUCT_CONN_TYPE = 379;
const short F_STRUCT_CONN_TYPE_CRITERIA = 380;
const short F_STRUCT_CONN_TYPE_REFERENCE = 381;


const short S_STRUCT_KEYWORDS = 382;


const short S_STRUCT_MON_DETAILS = 383;
const short F_STRUCT_MON_DETAILS_RSCC = 384;
const short F_STRUCT_MON_DETAILS_RSR = 385;
const short F_STRUCT_MON_DETAILS_PROT_CIS = 386;


const short S_STRUCT_MON_NUCL = 387;
const short F_STRUCT_MON_NUCL_P = 388;
const short F_STRUCT_MON_NUCL_RSCC_ALL = 389;
const short F_STRUCT_MON_NUCL_RSCC_BASE = 390;
const short F_STRUCT_MON_NUCL_RSCC_PHOS = 391;
const short F_STRUCT_MON_NUCL_RSCC_SUGAR = 392;
const short F_STRUCT_MON_NUCL_RSR_ALL = 393;
const short F_STRUCT_MON_NUCL_RSR_BASE = 394;
const short F_STRUCT_MON_NUCL_RSR_PHOS = 395;
const short F_STRUCT_MON_NUCL_RSR_SUGAR = 396;
const short F_STRUCT_MON_NUCL_ALPHA = 397;
const short F_STRUCT_MON_NUCL_BETA = 398;
const short F_STRUCT_MON_NUCL_CHI1 = 399;
const short F_STRUCT_MON_NUCL_CHI2 = 400;
const short F_STRUCT_MON_NUCL_DELTA = 401;
const short F_STRUCT_MON_NUCL_DETAILS = 402;
const short F_STRUCT_MON_NUCL_EPSILON = 403;
const short F_STRUCT_MON_NUCL_GAMMA = 404;
const short F_STRUCT_MON_NUCL_MEAN_B_ALL = 405;
const short F_STRUCT_MON_NUCL_MEAN_B_BASE = 406;
const short F_STRUCT_MON_NUCL_MEAN_B_PHOS = 407;
const short F_STRUCT_MON_NUCL_MEAN_B_SUGAR = 408;
const short F_STRUCT_MON_NUCL_NU0 = 409;
const short F_STRUCT_MON_NUCL_NU1 = 410;
const short F_STRUCT_MON_NUCL_NU2 = 411;
const short F_STRUCT_MON_NUCL_NU3 = 412;
const short F_STRUCT_MON_NUCL_NU4 = 413;
const short F_STRUCT_MON_NUCL_TAU0 = 414;
const short F_STRUCT_MON_NUCL_TAU1 = 415;
const short F_STRUCT_MON_NUCL_TAU2 = 416;
const short F_STRUCT_MON_NUCL_TAU3 = 417;
const short F_STRUCT_MON_NUCL_TAU4 = 418;
const short F_STRUCT_MON_NUCL_TAUM = 419;
const short F_STRUCT_MON_NUCL_ZETA = 420;
const short F_STRUCT_MON_NUCL_AUTH_ASYM = 421;
const short F_STRUCT_MON_NUCL_AUTH_COMP = 422;
const short F_STRUCT_MON_NUCL_AUTH_SEQ = 423;


const short S_STRUCT_MON_PROT = 424;
const short F_STRUCT_MON_PROT_RSCC_ALL = 425;
const short F_STRUCT_MON_PROT_RSCC_MAIN = 426;
const short F_STRUCT_MON_PROT_RSCC_SIDE = 427;
const short F_STRUCT_MON_PROT_RSR_ALL = 428;
const short F_STRUCT_MON_PROT_RSR_MAIN = 429;
const short F_STRUCT_MON_PROT_RSR_SIDE = 430;
const short F_STRUCT_MON_PROT_CHI1 = 431;
const short F_STRUCT_MON_PROT_CHI2 = 432;
const short F_STRUCT_MON_PROT_CHI3 = 433;
const short F_STRUCT_MON_PROT_CHI4 = 434;
const short F_STRUCT_MON_PROT_CHI5 = 435;
const short F_STRUCT_MON_PROT_DETAILS = 436;
const short F_STRUCT_MON_PROT_MEAN_B_ALL = 437;
const short F_STRUCT_MON_PROT_MEAN_B_MAIN = 438;
const short F_STRUCT_MON_PROT_MEAN_B_SIDE = 439;
const short F_STRUCT_MON_PROT_OMEGA = 440;
const short F_STRUCT_MON_PROT_PHI = 441;
const short F_STRUCT_MON_PROT_PSI = 442;
const short F_STRUCT_MON_PROT_AUTH_ASYM = 443;
const short F_STRUCT_MON_PROT_AUTH_COMP = 444;
const short F_STRUCT_MON_PROT_AUTH_SEQ = 445;


const short S_STRUCT_MON_PROT_CIS = 446;
const short F_STRUCT_MON_PROT_CIS_AUTH_ASYM = 447;
const short F_STRUCT_MON_PROT_CIS_AUTH_COMP = 448;
const short F_STRUCT_MON_PROT_CIS_AUTH_SEQ = 449;


const short S_STRUCT_NCS_DOM = 450;
const short F_STRUCT_NCS_DOM_DETAILS = 451;


const short S_STRUCT_NCS_DOM_LIM = 452;
const short F_STRUCT_NCS_DOM_LIM_BEG_AUTH_ASYM = 453;
const short F_STRUCT_NCS_DOM_LIM_BEG_AUTH_COMP = 454;
const short F_STRUCT_NCS_DOM_LIM_BEG_AUTH_SEQ = 455;
const short F_STRUCT_NCS_DOM_LIM_END_AUTH_ASYM = 456;
const short F_STRUCT_NCS_DOM_LIM_END_AUTH_COMP = 457;
const short F_STRUCT_NCS_DOM_LIM_END_AUTH_SEQ = 458;


const short S_STRUCT_NCS_ENS = 459;
const short F_STRUCT_NCS_ENS_DETAILS = 460;
const short F_STRUCT_NCS_ENS_POINT_GROUP = 461;


const short S_STRUCT_NCS_ENS_GEN = 462;


const short S_STRUCT_NCS_OPER = 463;
const short F_STRUCT_NCS_OPER_CODE = 464;
const short F_STRUCT_NCS_OPER_DETAILS = 465;
const short F_STRUCT_NCS_OPER_AVECTOR = 466;
const short F_STRUCT_NCS_OPER_MATRIX = 467;


const short S_STRUCT_REF = 468;
const short F_STRUCT_REF_DETAILS = 469;
const short F_STRUCT_REF_SEQ_ALIGN = 470;
const short F_STRUCT_REF_SEQ_DIF = 471;


const short S_STRUCT_REF_SEQ = 472;
const short F_STRUCT_REF_SEQ_DETAILS = 473;


const short S_STRUCT_REF_SEQ_DIF = 474;
const short F_STRUCT_REF_SEQ_DIF_DETAILS = 475;


const short S_STRUCT_SHEET = 476;
const short F_STRUCT_SHEET_DETAILS = 477;
const short F_STRUCT_SHEET_NUMBER_STRANDS = 478;
const short F_STRUCT_SHEET_TYPE = 479;


const short S_STRUCT_SHEET_HBOND = 480;
const short F_STRUCT_SHEET_HBOND_RANGE_1_BEG_AUTH_ATOM = 481;
const short F_STRUCT_SHEET_HBOND_RANGE_1_BEG_AUTH_SEQ = 482;
const short F_STRUCT_SHEET_HBOND_RANGE_1_END_AUTH_ATOM = 483;
const short F_STRUCT_SHEET_HBOND_RANGE_1_END_AUTH_SEQ = 484;
const short F_STRUCT_SHEET_HBOND_RANGE_2_BEG_AUTH_ATOM = 485;
const short F_STRUCT_SHEET_HBOND_RANGE_2_BEG_AUTH_SEQ = 486;
const short F_STRUCT_SHEET_HBOND_RANGE_2_END_AUTH_ATOM = 487;
const short F_STRUCT_SHEET_HBOND_RANGE_2_END_AUTH_SEQ = 488;


const short S_STRUCT_SHEET_ORDER = 489;
const short F_STRUCT_SHEET_ORDER_OFFSET = 490;
const short F_STRUCT_SHEET_ORDER_SENSE = 491;


const short S_STRUCT_SHEET_RANGE = 492;
const short F_STRUCT_SHEET_RANGE_SYMMETRY = 493;
const short F_STRUCT_SHEET_RANGE_BEG_AUTH_ASYM = 494;
const short F_STRUCT_SHEET_RANGE_BEG_AUTH_COMP = 495;
const short F_STRUCT_SHEET_RANGE_BEG_AUTH_SEQ = 496;
const short F_STRUCT_SHEET_RANGE_END_AUTH_ASYM = 497;
const short F_STRUCT_SHEET_RANGE_END_AUTH_COMP = 498;
const short F_STRUCT_SHEET_RANGE_END_AUTH_SEQ = 499;


const short S_STRUCT_SHEET_TOPOLOGY = 500;
const short F_STRUCT_SHEET_TOPOLOGY_OFFSET = 501;
const short F_STRUCT_SHEET_TOPOLOGY_SENSE = 502;


const short S_STRUCT_SITE = 503;
const short F_STRUCT_SITE_DETAILS = 504;


const short S_STRUCT_SITE_GEN = 505;
const short F_STRUCT_SITE_GEN_DETAILS = 506;
const short F_STRUCT_SITE_GEN_SYMMETRY = 507;
const short F_STRUCT_SITE_GEN_AUTH_ASYM = 508;
const short F_STRUCT_SITE_GEN_AUTH_ATOM = 509;
const short F_STRUCT_SITE_GEN_AUTH_COMP = 510;
const short F_STRUCT_SITE_GEN_AUTH_SEQ = 511;


const short S_STRUCT_SITE_KEYWORDS = 512;


const short S_STRUCT_SITE_VIEW = 513;
const short F_STRUCT_SITE_VIEW_DETAILS = 514;
const short F_STRUCT_SITE_VIEW_ROT_MATRIX = 515;


const short MAX_FLAG = 515;
