// Single header for global objects
// $Id: global.h,v 1.2 2002/07/24 22:56:35 alexy Exp $

#ifndef _GLOBAL_H_
#define _GLOBAL_H_

#include "CIF.h"
#include "CorbaCif.h"
#include "SchemaCif.h"
#include "db.h"

namespace global {

  extern CIF             *cif;
  void create_cif();
	     
  extern ccif::CorbaCif  *ccif;
  void create_ccif();

  extern scif::SchemaCif *scif;
  void create_scif();

  extern db::DB          *db;
  void db_open();
  void db_close();

  void shutdown();
  
} // namespace global

#endif
