// $Name:  $ $RCSfile: options.h,v $ $Revision: 1.13 $
// Relevance Feedback
// Options

#ifndef  _OPTIONS_H_
#define  _OPTIONS_H_
#include "dir.h"

namespace opt {

  void parse(int argc, char **argv, const bool need_files = false);

  // for modinfo:

  extern char *category;

  extern bool all;
  extern bool debug;
  extern bool parents;
  extern bool children;
  extern bool mandatory;
  extern bool more_info;
  extern bool keep_types;
  extern bool idl;
  extern bool flags; // flags can start at 0,
  extern int  n;     // so the starting one is separate
  extern bool bitflags;
  extern bool split_flags;
  extern bool catonly;
  extern bool mms;
  extern bool xray;
  extern bool entry;
  extern bool full;
  extern bool valuetypes;
  extern bool db2;
  extern bool client;
  
  extern char *headers;
  extern char *id;
  extern char *file;

  extern char *cifDB;
  extern char *cifDBContext;

  extern char *corbaCifFile;
  extern char *corbaDataBlock;

  extern char *schemaCifFile;
  extern char *schemaDataBlock;

  extern char *clientFile;
  
} // namespace opt
#endif /*_OPTIONS_H_*/
