#include "CifBuilder.h"
// #include "CifFileObj.h"
#include <iostream>

int main(int argc, char **argv)
{
  char *cifdb = argv[1], *context = argv[2];
  
  cerr << "Reading binary CIF dictionary " 
       << cifdb << ", context " << context << endl;

  CifBuilder *_cb = new CifBuilder(cifdb);

  _cb->BuildDictionaryList();
  _cb->SetContext(context);

  uWord itemsNum = 0;

  char ** items = _cb->GetDictionaryItems(itemsNum);

  cerr << "we got " << itemsNum << " items" << endl;
  
  for (int i = 0; i < itemsNum; i++) {
    cout << i << ": " << items[i] << endl;
    free(items[i]);
  }

  if (items) free(items);

  delete _cb;
}
