// CORBA::Exception ostream inserter
// for MICO and other ORBs which don't provide one
// $Id: C_ExceptionStream.h,v 1.1 2002/08/17 03:47:08 alexy Exp $

#ifndef _C_EXCEPTION_STREAM_H_
#define _C_EXCEPTION_STREAM_H_
#ifndef _TAO_

#include <iostream>
using namespace std;

#if defined (_MICO_)
#include <CORBA.h>				  // ORB-specific
#elif defined (_OMNI_)
#include <omniORB4/CORBA.h>
#endif

ostream &
operator<<(ostream & os, const CORBA::Exception & e) ;

#endif //ndef _TAO_
#endif // _C_EXCEPTION_STREAM_H_
