// Braver Entry Factory
// Entry
// $Id: Xray_SubentryImpl.h,v 1.2 2002/08/17 03:46:15 alexy Exp $

#ifndef _XRAY_SUBENTRY_IMPL_H_
#define _XRAY_SUBENTRY_IMPL_H_

#include "C_subentryC.h"

class Xray_SubentryImpl :
  public virtual PortableServer::RefCountServantBase,
  public virtual POA_Xray::Subentry
{
public:
  Xray_SubentryImpl(PortableServer::POA_ptr, const char* name);

  virtual ~Xray_SubentryImpl();
  
  // _create() -- create a new servant.
  // Hides the difference between direct inheritance and tie servants.
  static POA_Xray::Subentry*
  _create(PortableServer::POA_ptr, const char* name);
  
  virtual PortableServer::POA_ptr
  _default_POA();
  
  //---------------
  // IDL operations
  //---------------
  virtual char* name()
    throw (CORBA::SystemException);
  
  virtual void name(const char* _new_value) 
    throw (CORBA::SystemException);
  
private:
  // POA
  PortableServer::POA_var         _poaV;
  
  CORBA::String_var               _nameV;
};

#endif
