MMS::AtomSiteList*
MMS_EntryImpl::get_atom_site_some_list(const char* beg_label_asym,
				       const long  beg_label_seq,
				       const long  end_label_seq)
    throw (CORBA::SystemException, MMS::DataAccessException);


#undef ATOM_SITES_LIST
#ifdef ATOM_SITES_LIST
CORBA::Long
MMS_EntryImpl::atom_sites_list_size()
    throw (CORBA::SystemException, MMS::DataAccessException);
MMS::AtomSitesList*
MMS_EntryImpl::get_atom_sites_list()
    throw (CORBA::SystemException, MMS::DataAccessException);
#else
MMS::AtomSites
MMS_EntryImpl::get_atom_sites()
    throw (CORBA::SystemException, MMS::DataAccessException);
#endif


#undef CELL_LIST
#ifdef CELL_LIST
CORBA::Long
MMS_EntryImpl::cell_list_size()
    throw (CORBA::SystemException, MMS::DataAccessException);
MMS::CellList*
MMS_EntryImpl::get_cell_list()
    throw (CORBA::SystemException, MMS::DataAccessException);
#else
MMS::Cell
MMS_EntryImpl::get_cell()
    throw (CORBA::SystemException, MMS::DataAccessException);
#endif


// the great mystery: in contrast to Cell,
// MICO creates this as a * result, so we just
// have to deal with it for now!
MMS::Symmetry*
MMS_EntryImpl::get_symmetry()
    throw (CORBA::SystemException, MMS::DataAccessException);
  

// Biological Assembly

MMS::SymInfo*
MMS_EntryImpl::get_sym_info()
    throw (CORBA::SystemException, MMS::DataAccessException);
  
MMS::AsymUnit*
MMS_EntryImpl::get_asym_unit()
    throw (CORBA::SystemException, MMS::DataAccessException);

CORBA::Long
MMS_EntryImpl::biol_unit_list_size()
    throw (CORBA::SystemException, MMS::DataAccessException);

MMS::BiolUnit*
MMS_EntryImpl::get_biol_unit(short biol_id)
    throw (CORBA::SystemException, MMS::DataAccessException);
