// biol assembly body
// $Id$

#include "biol.h"

namespace biol {

  VectorXYZ::VectorXYZ() {}
  VectorXYZ::~VectorXYZ() {}

  AtomIndex::AtomIndex()
    // : asym(""), comp(""), seq(""), atom("")
    // {
    //   asym = ""; comp = ""; seq = ""; atom = "";
    // }
  {}
  AtomIndex::~AtomIndex() {}

  AtomSite::AtomSite()
    // : group_PDB("")
    // {
    //   group_PDB = "";
    // }
  {}
  AtomSite::~AtomSite() {}

  Symop::Symop() {}
  Symop::~Symop() {}
  Symop::Symop(const string name)
  {
    const unsigned zero = '0';

    op = name[0]	- zero;
    trans_x = name[2]	- zero;
    trans_y = name[3]	- zero;
    trans_z = name[4]	- zero;
  }

  BiolOps::BiolOps() {}
  BiolOps::~BiolOps() {}

  BiolGen::BiolGen(const int biol_id, const char* asym_id, const char* symop)
    : biol_id(biol_id), asym_id(asym_id), symop(symop)
  {}
  BiolGen::~BiolGen() {}
  
  AsymUnitReplica::AsymUnitReplica() {}
  AsymUnitReplica::~AsymUnitReplica() {}

  Cell::Cell() {}
  Cell::~Cell() {}

  Transf::Transf() {}
  Transf::~Transf() {}

  SymInfo::SymInfo() {}
  SymInfo::~SymInfo() {}

  AsymUnit::AsymUnit() {}
  AsymUnit::~AsymUnit() {}

  BiolUnit::BiolUnit() {}
  BiolUnit::~BiolUnit() {}

} // namespace biol
