// corbarizing through the wrapper
// $Id: mms_biol.h,v 1.1 2003/06/05 21:18:48 alexy Exp $

#ifndef _MMS_BIOL_H_
#define _MMS_BIOL_H_


#include "some.h"
#include "biol.h"

// conversions between the insulator wrapper and MMS

namespace mms_biol {

  MMS::Cell			conv(const biol::Cell &);
  MMS::Transf			conv(const biol::Transf &);
  MMS::SymInfo			conv(const biol::SymInfo &);
  MMS::VectorXYZ 		conv(const biol::VectorXYZ &);
  MMS::AtomIndex 		conv(const biol::AtomIndex &);
  MMS::AtomSite 		conv(const biol::AtomSite &);
  MMS::AtomSiteList 		conv(const biol::AtomSiteList &);
  MMS::AsymUnit 		conv(const biol::AsymUnit &);
  MMS::AsymUnitReplica	 	conv(const biol::AsymUnitReplica &);
  MMS::AsymUnitReplicaList 	conv(const biol::AsymUnitReplicaList &);
  MMS::BiolUnit			conv(const biol::BiolUnit &);

  biol::Cell			conv(const MMS::Cell &);
  biol::Transf			conv(const MMS::Transf &);
  biol::SymInfo			conv(const MMS::SymInfo &);
  biol::VectorXYZ 		conv(const MMS::VectorXYZ &);
  biol::AtomIndex 		conv(const MMS::AtomIndex &);
  biol::AtomSite 		conv(const MMS::AtomSite &);
  biol::AtomSiteList 		conv(const MMS::AtomSiteList &);
  biol::AsymUnit 		conv(const MMS::AsymUnit &);
  biol::AsymUnitReplica	 	conv(const MMS::AsymUnitReplica &);
  biol::AsymUnitReplicaList 	conv(const MMS::AsymUnitReplicaList &);
  biol::BiolUnit		conv(const MMS::BiolUnit &);
} // namespace ice 

#endif
