// show
// $Id: show.C,v 1.1 2003/03/09 17:59:28 alexy Exp $ $Rev$

#include "show.h"
#include <iostream>
using namespace std;

// show atom CORBA structure
void show(const struct MMS::AtomSite *const a)
{
#if 0
  cout << "id:\t" << a->id << endl;
  cout << "\tlabel_entity:\t"; show(&a->label_entity, true);
  
  cout << "\ttype_symbol:\t"; show(&a->type_symbol, true);

  cout << "\tlabel::"
       << "\tatom: "; show(&a->label.atom);
  cout << "\tseq: ";  show(&a->label.seq);
  cout << "\tcomp: "; show(&a->label.comp);
  cout << "\tasym: "; show(&a->label.asym);
  cout << "\talt: ";  show(&a->label.alt, true);
#endif

  cout << a->id << '\t'
       << a->label_entity.index << '\t'
       << a->label.atom.id << ' '
       << a->label.asym.id << ' '
       << a->label.comp.id << ' '
       << a->label.seq.index << ' '
       << endl;

}


void show(const struct MMS::IndexId *const ii, const bool eol)
{
  cout << ii->id << ',' << ii->index;
  if (eol) cout << endl;
}

