// braver utilities
// $Id: util.h,v 1.6 2002/07/15 23:44:12 alexy Exp $

#ifndef _UTIL_H_
#define _UTIL_H_

#include <string>
#include <vector>

using namespace std;

typedef vector<string> Strings;

namespace util {

  bool hasSuffix(const   string s, const string suffix);
  string cutSuffix(const string s, const string suffix);

  bool hasSubstr(const   string s, const string sub);
  string cutSubstr(const string s, const string sub);

  // can be template<T> present(vector<T>, T)
  bool present(const vector<string>&, const string);
  bool erase(vector<string>&, const string); // true means did erase

  string upper(const string);
  string lower(const string);
  string uncap(const string);
  
  string str(const int);

  void replace(string &s, const string from, const string to);

  string _2Title(const string);

  void print_cout(const vector<string>&);
  void print_cerr(const vector<string>&);

  string readFile(const char *const filename);

}

#endif
